diff -Nurd -x'*~' poppler-0.22.1.orig/configure poppler-0.22.1/configure
--- poppler-0.22.1.orig/configure	2013-02-10 05:48:37.000000000 -0500
+++ poppler-0.22.1/configure	2014-11-01 15:54:18.000000000 -0400
@@ -17649,6 +17649,7 @@
     auto_import_flags="-Wl,--enable-auto-import"
   ;;
 esac
+create_shared_lib="-no-undefined"
 
 
 
@@ -23943,24 +23944,16 @@
 fi
 case "$enable_compile_warnings" in
   no)	;;
-  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-check-new -fno-common $CXXFLAGS";
+  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-common $CXXFLAGS";
         CFLAGS="-Wall $CFLAGS" ;;
   kde)	CXXFLAGS="-Wnon-virtual-dtor -Wno-long-long -Wundef \
 		-D_XOPEN_SOURCE=600 -D_BSD_SOURCE -Wcast-align \
 		-Wconversion -Wall -W -Wpointer-arith \
 		-Wwrite-strings -O2 -Wformat-security \
-		-Wmissing-format-attribute -fno-exceptions -fno-check-new \
+		-Wmissing-format-attribute -fno-exceptions \
 		-fno-common $CXXFLAGS" ;;
 esac
 
-case `$PKG_CONFIG --version` in
-  0.?|0.10-7)
-    PC_REQUIRES_PRIVATE="";
-    PC_REQUIRES="poppler = $VERSION";;
-  *)
-    PC_REQUIRES_PRIVATE="Requires.private: poppler = $VERSION";
-    PC_REQUIRES="";;
-esac
 
 
 
diff -Nurd -x'*~' poppler-0.22.1.orig/glib/Makefile.in poppler-0.22.1/glib/Makefile.in
--- poppler-0.22.1.orig/glib/Makefile.in	2013-02-10 05:48:37.000000000 -0500
+++ poppler-0.22.1/glib/Makefile.in	2013-02-22 01:42:38.000000000 -0500
@@ -107,7 +107,6 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_glib_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la \
 	$(top_builddir)/poppler/libpoppler-cairo.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am__objects_1 = poppler-enums.lo
@@ -475,7 +474,7 @@
 	poppler-private.h
 
 libpoppler_glib_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la		\
+	-lpoppler					\
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)
diff -Nurd -x'*~' poppler-0.22.1.orig/glib/demo/Makefile.in poppler-0.22.1/glib/demo/Makefile.in
--- poppler-0.22.1.orig/glib/demo/Makefile.in	2013-02-10 05:48:37.000000000 -0500
+++ poppler-0.22.1/glib/demo/Makefile.in	2013-02-22 01:40:28.000000000 -0500
@@ -83,7 +83,7 @@
 am__DEPENDENCIES_1 =
 poppler_glib_demo_DEPENDENCIES =  \
 	$(top_builddir)/glib/libpoppler-glib.la \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 AM_V_lt = $(am__v_lt_@AM_V@)
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
@@ -387,7 +387,7 @@
 
 LDADD = \
 	$(top_builddir)/glib/libpoppler-glib.la	\
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(GTK_TEST_LIBS)
 
 all: all-am
diff -Nurd -x'*~' poppler-0.22.1.orig/glib/reference/Makefile.in poppler-0.22.1/glib/reference/Makefile.in
--- poppler-0.22.1.orig/glib/reference/Makefile.in	2013-02-10 05:48:37.000000000 -0500
+++ poppler-0.22.1/glib/reference/Makefile.in	2013-02-22 01:40:28.000000000 -0500
@@ -361,7 +361,7 @@
 	$(POPPLER_GLIB_CFLAGS)				\
 	$(FREETYPE_CFLAGS)
 
-GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
+GTKDOC_LIBS = -lpoppler	\
 	$(top_builddir)/glib/libpoppler-glib.la		\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
diff -Nurd -x'*~' poppler-0.22.1.orig/goo/JpegWriter.cc poppler-0.22.1/goo/JpegWriter.cc
--- poppler-0.22.1.orig/goo/JpegWriter.cc	2013-01-06 18:55:40.000000000 -0500
+++ poppler-0.22.1/goo/JpegWriter.cc	2013-07-15 05:47:21.000000000 -0400
@@ -117,7 +117,7 @@
 
   // Set quality
   if (priv->quality >= 0 && priv->quality <= 100) {
-    jpeg_set_quality(&priv->cinfo, priv->quality, true);
+    jpeg_set_quality(&priv->cinfo, priv->quality, TRUE);
   }
 
   // Use progressive mode
diff -Nurd -x'*~' poppler-0.22.1.orig/poppler-cairo.pc.in poppler-0.22.1/poppler-cairo.pc.in
--- poppler-0.22.1.orig/poppler-cairo.pc.in	2012-12-30 17:43:26.000000000 -0500
+++ poppler-0.22.1/poppler-cairo.pc.in	2013-02-22 01:52:06.000000000 -0500
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @VERSION@
diff -Nurd -x'*~' poppler-0.22.1.orig/qt4/demos/Makefile.in poppler-0.22.1/qt4/demos/Makefile.in
--- poppler-0.22.1.orig/qt4/demos/Makefile.in	2013-02-10 05:48:38.000000000 -0500
+++ poppler-0.22.1/qt4/demos/Makefile.in	2013-02-22 01:40:28.000000000 -0500
@@ -78,7 +78,7 @@
 	thumbnails.$(OBJEXT) toc.$(OBJEXT) viewer.$(OBJEXT)
 poppler_qt4viewer_OBJECTS = $(am_poppler_qt4viewer_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 poppler_qt4viewer_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -345,7 +345,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 
diff -Nurd -x'*~' poppler-0.22.1.orig/qt4/src/Makefile.in poppler-0.22.1/qt4/src/Makefile.in
--- poppler-0.22.1.orig/qt4/src/Makefile.in	2013-02-10 05:48:38.000000000 -0500
+++ poppler-0.22.1/qt4/src/Makefile.in	2013-02-22 01:40:28.000000000 -0500
@@ -102,7 +102,6 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_qt4_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la \
 	$(top_builddir)/poppler/libpoppler-arthur.la \
 	$(am__DEPENDENCIES_1)
 am_libpoppler_qt4_la_OBJECTS = libpoppler_qt4_la-poppler-document.lo \
@@ -440,7 +439,7 @@
 	-Dpoppler_qt4_EXPORTS
 
 libpoppler_qt4_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/poppler/libpoppler-arthur.la	\
 	$(POPPLER_QT4_LIBS)
 
diff -Nurd -x'*~' poppler-0.22.1.orig/qt4/tests/Makefile.in poppler-0.22.1/qt4/tests/Makefile.in
--- poppler-0.22.1.orig/qt4/tests/Makefile.in	2013-02-10 05:48:38.000000000 -0500
+++ poppler-0.22.1/qt4/tests/Makefile.in	2013-03-19 08:55:00.000000000 -0400
@@ -109,7 +109,7 @@
 @BUILD_POPPLER_QT4_TRUE@	check_actualtext.$(OBJEXT)
 check_actualtext_OBJECTS = $(am_check_actualtext_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 =  \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 @BUILD_POPPLER_QT4_TRUE@check_actualtext_DEPENDENCIES =  \
@@ -512,7 +512,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 