diff -Nurd -x'*~' poppler-0.22.5.orig/configure poppler-0.22.5/configure
--- poppler-0.22.5.orig/configure	2013-06-16 12:24:09.000000000 -0400
+++ poppler-0.22.5/configure	2014-06-11 09:59:18.000000000 -0400
@@ -17708,6 +17708,7 @@
     auto_import_flags="-Wl,--enable-auto-import"
   ;;
 esac
+create_shared_lib="-no-undefined"
 
 
 
@@ -24014,24 +24015,16 @@
 fi
 case "$enable_compile_warnings" in
   no)	;;
-  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-check-new -fno-common $CXXFLAGS";
+  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-common $CXXFLAGS";
         CFLAGS="-Wall $CFLAGS" ;;
   kde)	CXXFLAGS="-Wnon-virtual-dtor -Wno-long-long -Wundef \
 		-D_XOPEN_SOURCE=600 -D_BSD_SOURCE -Wcast-align \
 		-Wconversion -Wall -W -Wpointer-arith \
 		-Wwrite-strings -O2 -Wformat-security \
-		-Wmissing-format-attribute -fno-exceptions -fno-check-new \
+		-Wmissing-format-attribute -fno-exceptions \
 		-fno-common $CXXFLAGS" ;;
 esac
 
-case `$PKG_CONFIG --version` in
-  0.?|0.10-7)
-    PC_REQUIRES_PRIVATE="";
-    PC_REQUIRES="poppler = $VERSION";;
-  *)
-    PC_REQUIRES_PRIVATE="Requires.private: poppler = $VERSION";
-    PC_REQUIRES="";;
-esac
 
 
 
diff -Nurd -x'*~' poppler-0.22.5.orig/glib/Makefile.in poppler-0.22.5/glib/Makefile.in
--- poppler-0.22.5.orig/glib/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/glib/Makefile.in	2013-07-15 04:21:02.000000000 -0400
@@ -134,7 +134,6 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_glib_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la \
 	$(top_builddir)/poppler/libpoppler-cairo.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am__objects_1 = poppler-enums.lo
@@ -534,7 +533,7 @@
 	poppler-private.h
 
 libpoppler_glib_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la		\
+	-lpoppler					\
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)
diff -Nurd -x'*~' poppler-0.22.5.orig/glib/demo/Makefile.in poppler-0.22.5/glib/demo/Makefile.in
--- poppler-0.22.5.orig/glib/demo/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/glib/demo/Makefile.in	2013-07-15 04:21:48.000000000 -0400
@@ -111,7 +111,7 @@
 am__DEPENDENCIES_1 =
 poppler_glib_demo_DEPENDENCIES =  \
 	$(top_builddir)/glib/libpoppler-glib.la \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 AM_V_lt = $(am__v_lt_@AM_V@)
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
@@ -443,7 +443,7 @@
 
 LDADD = \
 	$(top_builddir)/glib/libpoppler-glib.la	\
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(GTK_TEST_LIBS)
 
 all: all-am
diff -Nurd -x'*~' poppler-0.22.5.orig/glib/reference/Makefile.in poppler-0.22.5/glib/reference/Makefile.in
--- poppler-0.22.5.orig/glib/reference/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/glib/reference/Makefile.in	2013-07-15 04:21:48.000000000 -0400
@@ -395,7 +395,7 @@
 	$(POPPLER_GLIB_CFLAGS)				\
 	$(FREETYPE_CFLAGS)
 
-GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
+GTKDOC_LIBS = -lpoppler	\
 	$(top_builddir)/glib/libpoppler-glib.la		\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
diff -Nurd -x'*~' poppler-0.22.5.orig/poppler-cairo.pc.in poppler-0.22.5/poppler-cairo.pc.in
--- poppler-0.22.5.orig/poppler-cairo.pc.in	2012-12-30 17:43:26.000000000 -0500
+++ poppler-0.22.5/poppler-cairo.pc.in	2013-07-15 04:21:48.000000000 -0400
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @VERSION@
diff -Nurd -x'*~' poppler-0.22.5.orig/qt4/demos/Makefile.in poppler-0.22.5/qt4/demos/Makefile.in
--- poppler-0.22.5.orig/qt4/demos/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/qt4/demos/Makefile.in	2013-07-15 04:21:48.000000000 -0400
@@ -106,7 +106,7 @@
 	thumbnails.$(OBJEXT) toc.$(OBJEXT) viewer.$(OBJEXT)
 poppler_qt4viewer_OBJECTS = $(am_poppler_qt4viewer_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 poppler_qt4viewer_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -401,7 +401,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 
diff -Nurd -x'*~' poppler-0.22.5.orig/qt4/src/Makefile.in poppler-0.22.5/qt4/src/Makefile.in
--- poppler-0.22.5.orig/qt4/src/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/qt4/src/Makefile.in	2013-07-15 04:21:48.000000000 -0400
@@ -129,7 +129,6 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_qt4_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la \
 	$(top_builddir)/poppler/libpoppler-arthur.la \
 	$(am__DEPENDENCIES_1)
 am_libpoppler_qt4_la_OBJECTS = libpoppler_qt4_la-poppler-document.lo \
@@ -495,7 +494,7 @@
 	-Dpoppler_qt4_EXPORTS
 
 libpoppler_qt4_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/poppler/libpoppler-arthur.la	\
 	$(POPPLER_QT4_LIBS)
 
diff -Nurd -x'*~' poppler-0.22.5.orig/qt4/tests/Makefile.in poppler-0.22.5/qt4/tests/Makefile.in
--- poppler-0.22.5.orig/qt4/tests/Makefile.in	2013-06-16 12:24:10.000000000 -0400
+++ poppler-0.22.5/qt4/tests/Makefile.in	2013-07-15 04:21:48.000000000 -0400
@@ -137,7 +137,7 @@
 @BUILD_POPPLER_QT4_TRUE@	check_actualtext.$(OBJEXT)
 check_actualtext_OBJECTS = $(am_check_actualtext_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 =  \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 @BUILD_POPPLER_QT4_TRUE@check_actualtext_DEPENDENCIES =  \
@@ -768,7 +768,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 