diff -Nurd -x'*~' poppler-0.26.2.orig/configure poppler-0.26.2/configure
--- poppler-0.26.2.orig/configure	2014-06-19 13:59:53.000000000 -0400
+++ poppler-0.26.2/configure	2014-07-13 04:22:49.000000000 -0400
@@ -17867,6 +17867,7 @@
     CXXFLAGS="$CXXFLAGS -D__USE_MINGW_ANSI_STDIO=1"
   ;;
 esac
+create_shared_lib="-no-undefined"
 
 
 
@@ -24975,25 +24976,17 @@
 fi
 case "$enable_compile_warnings" in
   no)	;;
-  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-check-new -fno-common $CXXFLAGS";
+  yes)	CXXFLAGS="-Wall -Woverloaded-virtual -Wnon-virtual-dtor -Wcast-align -fno-exceptions -fno-common $CXXFLAGS";
         CFLAGS="-Wall $CFLAGS" ;;
   kde)	CXXFLAGS="-Wnon-virtual-dtor -Wno-long-long -Wundef \
 		-D_XOPEN_SOURCE=600 -D_BSD_SOURCE -Wcast-align \
 		-Wconversion -Wall -W -Wpointer-arith \
 		-Wwrite-strings -O2 -Wformat-security \
-		-Wmissing-format-attribute -fno-exceptions -fno-check-new \
+		-Wmissing-format-attribute -fno-exceptions \
 		-fno-common $CXXFLAGS" ;;
 esac
 CXXFLAGS="-fPIC $CXXFLAGS";
 
-case `$PKG_CONFIG --version` in
-  0.?|0.10-7)
-    PC_REQUIRES_PRIVATE="";
-    PC_REQUIRES="poppler = $VERSION";;
-  *)
-    PC_REQUIRES_PRIVATE="Requires.private: poppler = $VERSION";
-    PC_REQUIRES="";;
-esac
 
 
 
diff -Nurd -x'*~' poppler-0.26.2.orig/glib/Makefile.in poppler-0.26.2/glib/Makefile.in
--- poppler-0.26.2.orig/glib/Makefile.in	2014-06-19 13:59:53.000000000 -0400
+++ poppler-0.26.2/glib/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -134,7 +134,6 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_glib_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la \
 	$(top_builddir)/poppler/libpoppler-cairo.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am__objects_1 = poppler-enums.lo
@@ -545,7 +544,7 @@
 	poppler-private.h
 
 libpoppler_glib_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la		\
+	-lpoppler					\
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)
diff -Nurd -x'*~' poppler-0.26.2.orig/glib/demo/Makefile.in poppler-0.26.2/glib/demo/Makefile.in
--- poppler-0.26.2.orig/glib/demo/Makefile.in	2014-06-19 13:59:53.000000000 -0400
+++ poppler-0.26.2/glib/demo/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -111,7 +111,7 @@
 am__DEPENDENCIES_1 =
 poppler_glib_demo_DEPENDENCIES =  \
 	$(top_builddir)/glib/libpoppler-glib.la \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 AM_V_lt = $(am__v_lt_@AM_V@)
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
@@ -453,7 +453,7 @@
 
 LDADD = \
 	$(top_builddir)/glib/libpoppler-glib.la	\
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler				\
 	$(GTK_TEST_LIBS)
 
 all: all-am
diff -Nurd -x'*~' poppler-0.26.2.orig/glib/poppler-annot.cc poppler-0.26.2/glib/poppler-annot.cc
--- poppler-0.26.2.orig/glib/poppler-annot.cc	2014-04-26 11:37:22.000000000 -0400
+++ poppler-0.26.2/glib/poppler-annot.cc	2014-07-13 04:23:14.000000000 -0400
@@ -264,6 +264,26 @@
   return _poppler_create_annot (POPPLER_TYPE_ANNOT_TEXT_MARKUP, annot);
 }
 
+/* g_malloc0_n code imported from glib-2.40.0 gmem.c, which is LGPL2+ */
+/* renamed _gmalloc0_n to avoid collision */
+
+#define SIZE_OVERFLOWS(a,b) (G_UNLIKELY ((b) > 0 && (a) > G_MAXSIZE / (b)))
+
+gpointer
+_g_malloc0_n (gsize n_blocks,
+	     gsize n_block_bytes)
+{
+  if (SIZE_OVERFLOWS (n_blocks, n_block_bytes))
+    {
+      g_error ("%s: overflow allocating %"G_GSIZE_FORMAT"*%"G_GSIZE_FORMAT" bytes",
+               G_STRLOC, n_blocks, n_block_bytes);
+    }
+
+  return g_malloc0 (n_blocks * n_block_bytes);
+}
+
+/* end gmem.c import */
+
 static AnnotQuadrilaterals *
 create_annot_quads_from_poppler_quads (GArray *quads)
 {
@@ -271,7 +291,7 @@
 
   g_assert (quads->len > 0);
 
-  quads_array = (AnnotQuadrilaterals::AnnotQuadrilateral **) g_malloc0_n (
+  quads_array = (AnnotQuadrilaterals::AnnotQuadrilateral **) _g_malloc0_n (
     sizeof (AnnotQuadrilaterals::AnnotQuadrilateral *),
     quads->len);
 
diff -Nurd -x'*~' poppler-0.26.2.orig/glib/reference/Makefile.in poppler-0.26.2/glib/reference/Makefile.in
--- poppler-0.26.2.orig/glib/reference/Makefile.in	2014-06-19 13:59:53.000000000 -0400
+++ poppler-0.26.2/glib/reference/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -404,7 +404,7 @@
 	$(POPPLER_GLIB_CFLAGS)				\
 	$(FREETYPE_CFLAGS)
 
-GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
+GTKDOC_LIBS = -lpoppler					\
 	$(top_builddir)/glib/libpoppler-glib.la		\
 	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
diff -Nurd -x'*~' poppler-0.26.2.orig/poppler-cairo.pc.in poppler-0.26.2/poppler-cairo.pc.in
--- poppler-0.26.2.orig/poppler-cairo.pc.in	2014-04-26 11:37:22.000000000 -0400
+++ poppler-0.26.2/poppler-cairo.pc.in	2014-07-13 04:22:49.000000000 -0400
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @VERSION@
diff -Nurd -x'*~' poppler-0.26.2.orig/qt4/demos/Makefile.in poppler-0.26.2/qt4/demos/Makefile.in
--- poppler-0.26.2.orig/qt4/demos/Makefile.in	2014-06-19 13:59:53.000000000 -0400
+++ poppler-0.26.2/qt4/demos/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -106,7 +106,7 @@
 	thumbnails.$(OBJEXT) toc.$(OBJEXT) viewer.$(OBJEXT)
 poppler_qt4viewer_OBJECTS = $(am_poppler_qt4viewer_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 poppler_qt4viewer_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -410,7 +410,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler					\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 
diff -Nurd -x'*~' poppler-0.26.2.orig/qt4/src/Makefile.in poppler-0.26.2/qt4/src/Makefile.in
--- poppler-0.26.2.orig/qt4/src/Makefile.in	2014-06-19 13:59:54.000000000 -0400
+++ poppler-0.26.2/qt4/src/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -129,7 +129,7 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_qt4_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 am_libpoppler_qt4_la_OBJECTS = libpoppler_qt4_la-poppler-document.lo \
 	libpoppler_qt4_la-poppler-page.lo \
 	libpoppler_qt4_la-poppler-fontinfo.lo \
@@ -505,7 +505,7 @@
 	-Dpoppler_qt4_EXPORTS
 
 libpoppler_qt4_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler	\
 	$(POPPLER_QT4_LIBS)
 
 libpoppler_qt4_la_LDFLAGS = -version-info 8:0:4 @create_shared_lib@ @auto_import_flags@
diff -Nurd -x'*~' poppler-0.26.2.orig/qt4/tests/Makefile.in poppler-0.26.2/qt4/tests/Makefile.in
--- poppler-0.26.2.orig/qt4/tests/Makefile.in	2014-06-19 13:59:54.000000000 -0400
+++ poppler-0.26.2/qt4/tests/Makefile.in	2014-07-13 04:22:49.000000000 -0400
@@ -141,7 +141,7 @@
 @BUILD_POPPLER_QT4_TRUE@	check_actualtext.$(OBJEXT)
 check_actualtext_OBJECTS = $(am_check_actualtext_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1)
 @BUILD_POPPLER_QT4_TRUE@check_actualtext_DEPENDENCIES =  \
@@ -801,7 +801,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler					\
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(POPPLER_QT4_LIBS)
 