diff -ruNp qtimageformats-opensource-src-5.3.1-orig/config.tests/jasper/jasper.pro qtimageformats-opensource-src-5.3.1/config.tests/jasper/jasper.pro
--- qtimageformats-opensource-src-5.3.1-orig/config.tests/jasper/jasper.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/config.tests/jasper/jasper.pro	2014-09-12 20:45:19.000000000 -0500
@@ -1,6 +1,10 @@
 SOURCES = jasper.cpp
 CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+mac {
+    CONFIG -= app_bundle
+    INCPATH += @FINK_PREFIX@/include
+    LIBS += -L@FINK_PREFIX@/lib -ljasper
+}
 win32:CONFIG += console
 msvc: LIBS += libjasper.lib
 else: LIBS += -ljasper
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/config.tests/libmng/libmng.pro qtimageformats-opensource-src-5.3.1/config.tests/libmng/libmng.pro
--- qtimageformats-opensource-src-5.3.1-orig/config.tests/libmng/libmng.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/config.tests/libmng/libmng.pro	2014-09-12 20:45:16.000000000 -0500
@@ -1,6 +1,9 @@
 SOURCES = libmng.cpp
 CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+mac {
+    CONFIG -= app_bundle
+    INCPATH += @FINK_PREFIX@/include
+}
 win32:CONFIG += console
-unix|mingw: LIBS += -lmng
+unix|mingw|mac: LIBS += -L@FINK_PREFIX@/lib -lmng
 else:win32: LIBS += libmng.lib
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/config.tests/libtiff/libtiff.pro qtimageformats-opensource-src-5.3.1/config.tests/libtiff/libtiff.pro
--- qtimageformats-opensource-src-5.3.1-orig/config.tests/libtiff/libtiff.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/config.tests/libtiff/libtiff.pro	2014-09-12 20:45:14.000000000 -0500
@@ -1,6 +1,9 @@
 SOURCES = libtiff.cpp
 CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+mac {
+    CONFIG -= app_bundle
+    INCPATH += @FINK_PREFIX@/include
+}
 win32:CONFIG += console
-unix|mingw: LIBS += -ltiff
+unix|mingw|mac: LIBS += -L@FINK_PREFIX@/lib -ltiff
 else:win32: LIBS += libtiff.lib
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/config.tests/libwebp/libwebp.pro qtimageformats-opensource-src-5.3.1/config.tests/libwebp/libwebp.pro
--- qtimageformats-opensource-src-5.3.1-orig/config.tests/libwebp/libwebp.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/config.tests/libwebp/libwebp.pro	2014-09-12 20:45:09.000000000 -0500
@@ -1,6 +1,9 @@
 SOURCES = libwebp.cpp
 CONFIG -= qt dylib
-mac:CONFIG -= app_bundle
+mac {
+    CONFIG -= app_bundle
+    INCPATH += @FINK_PREFIX@/include
+}
 win32:CONFIG += console
-unix|mingw: LIBS += -lwebp
+unix|mingw|mac: LIBS += -L@FINK_PREFIX@/lib -lwebp
 else:win32: LIBS += libwebp.lib
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/jp2/qjp2handler.pri qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/jp2/qjp2handler.pri
--- qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/jp2/qjp2handler.pri	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/jp2/qjp2handler.pri	2014-09-12 20:45:24.000000000 -0500
@@ -1,5 +1,6 @@
 # common to plugin and built-in forms
 INCLUDEPATH *= $$PWD
+INCLUDEPATH += @FINK_PREFIX@/include
 HEADERS += $$PWD/qjp2handler_p.h
 SOURCES += $$PWD/qjp2handler.cpp
 config_jasper {
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/mng/qmnghandler.pri qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/mng/qmnghandler.pri
--- qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/mng/qmnghandler.pri	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/mng/qmnghandler.pri	2014-09-12 20:45:27.000000000 -0500
@@ -1,5 +1,6 @@
 # common to plugin and built-in forms
 INCLUDEPATH *= $$PWD
+INCLUDEPATH += @FINK_PREFIX@/include
 HEADERS += $$PWD/qmnghandler_p.h
 SOURCES += $$PWD/qmnghandler.cpp
 config_libmng {
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/tiff/tiff.pro qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/tiff/tiff.pro
--- qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/tiff/tiff.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/tiff/tiff.pro	2014-09-12 20:45:32.000000000 -0500
@@ -10,6 +10,7 @@ wince*: SOURCES += qfunctions_wince.cpp
 OTHER_FILES += tiff.json
 
 config_libtiff {
+	INCLUDEPATH += @FINK_PREFIX@/include
     unix|mingw: LIBS += -ltiff
     else:win32: LIBS += libtiff.lib
 } else {
diff -ruNp qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/webp/webp.pro qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/webp/webp.pro
--- qtimageformats-opensource-src-5.3.1-orig/src/plugins/imageformats/webp/webp.pro	2014-06-19 05:08:34.000000000 -0500
+++ qtimageformats-opensource-src-5.3.1/src/plugins/imageformats/webp/webp.pro	2014-09-12 20:45:47.000000000 -0500
@@ -9,6 +9,7 @@ SOURCES += main.cpp qwebphandler.cpp
 OTHER_FILES += webp.json
 
 config_libwebp {
+    INCLUDEPATH += @FINK_PREFIX@/include
     unix|win32-g++*: LIBS += -lwebp
     else:win32: LIBS += libwebp.lib
 } else {