diff -ruNp qtwebkit-opensource-src-5.3.1-orig/Source/WebCore/Configurations/WebCore.xcconfig qtwebkit-opensource-src-5.3.1/Source/WebCore/Configurations/WebCore.xcconfig
--- qtwebkit-opensource-src-5.3.1-orig/Source/WebCore/Configurations/WebCore.xcconfig	2014-06-19 05:08:21.000000000 -0500
+++ qtwebkit-opensource-src-5.3.1/Source/WebCore/Configurations/WebCore.xcconfig	2014-09-12 06:51:13.000000000 -0500
@@ -46,7 +46,7 @@ FRAMEWORK_SEARCH_PATHS_macosx = $(STAGED
 STAGED_FRAMEWORKS_SEARCH_PATH = $(STAGED_FRAMEWORKS_SEARCH_PATH_$(USE_STAGING_INSTALL_PATH));
 STAGED_FRAMEWORKS_SEARCH_PATH_YES = $(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/StagedFrameworks/Safari;
 
-HEADER_SEARCH_PATHS = ForwardingHeaders icu /usr/include/libxslt /usr/include/libxml2 "${BUILT_PRODUCTS_DIR}/DerivedSources/WebCore" "${BUILT_PRODUCTS_DIR}/usr/local/include" $(HEADER_SEARCH_PATHS);
+HEADER_SEARCH_PATHS = ForwardingHeaders icu @FINK_PREFIX@/include/libxslt @FINK_PREFIX@/include/libxml2 "${BUILT_PRODUCTS_DIR}/DerivedSources/WebCore" "${BUILT_PRODUCTS_DIR}/usr/local/include" $(HEADER_SEARCH_PATHS);
 INFOPLIST_FILE = Info.plist;
 INSTALL_PATH = $(INSTALL_PATH_$(PLATFORM_NAME));
 INSTALL_PATH_iphoneos = $(SYSTEM_LIBRARY_DIR)/PrivateFrameworks;
diff -ruNp qtwebkit-opensource-src-5.3.1-orig/Source/WebCore/WebCore.pri qtwebkit-opensource-src-5.3.1/Source/WebCore/WebCore.pri
--- qtwebkit-opensource-src-5.3.1-orig/Source/WebCore/WebCore.pri	2014-06-19 05:08:15.000000000 -0500
+++ qtwebkit-opensource-src-5.3.1/Source/WebCore/WebCore.pri	2014-09-12 18:38:37.000000000 -0500
@@ -112,8 +112,10 @@ INCLUDEPATH += $$WEBCORE_GENERATED_SOURC
 enable?(XSLT) {
     use?(LIBXML2) {
         mac {
-            QMAKE_CXXFLAGS += -iwithsysroot /usr/include/libxslt -iwithsysroot /usr/include/libxml2
-            LIBS += -lxml2 -lxslt
+            #QMAKE_CXXFLAGS += -I@FINK_PREFIX@/include/libxslt -I@FINK_PREFIX@/include/libxml2
+            #LIBS += -lxml2 -lxslt
+            PKGCONFIG += libxslt libxml-2.0
+            CONFIG += link_pkgconfig
         } else {
             PKGCONFIG += libxslt libxml-2.0
         }
diff -ruNp qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libwebp/libwebp.pro qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libwebp/libwebp.pro
--- qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libwebp/libwebp.pro	2014-06-19 05:08:13.000000000 -0500
+++ qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libwebp/libwebp.pro	2014-09-12 05:47:58.000000000 -0500
@@ -1,3 +1,6 @@
 SOURCES = libwebp.cpp
 OBJECTS_DIR = obj
-LIBS += -lwebp
+#LIBS += -lwebp
+PKGCONFIG += libwebp
+CONFIG += link_pkgconfig
+
diff -ruNp qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libxml2/libxml2.pro qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libxml2/libxml2.pro
--- qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libxml2/libxml2.pro	2014-06-19 05:08:13.000000000 -0500
+++ qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libxml2/libxml2.pro	2014-09-12 18:19:10.000000000 -0500
@@ -1,8 +1,10 @@
 CONFIG -= qt
 SOURCES = libxml2.cpp
 mac {
-    QMAKE_CXXFLAGS += -iwithsysroot /usr/include/libxml2
-    LIBS += -lxml2
+    #QMAKE_CXXFLAGS += -I@FINK_PREFIX@/include/libxml2
+    #LIBS += -lxml2
+    PKGCONFIG += libxml-2.0
+    CONFIG += link_pkgconfig
 } else {
     PKGCONFIG += libxml-2.0
     CONFIG += link_pkgconfig
diff -ruNp qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libxslt/libxslt.pro qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libxslt/libxslt.pro
--- qtwebkit-opensource-src-5.3.1-orig/Tools/qmake/config.tests/libxslt/libxslt.pro	2014-06-19 05:08:13.000000000 -0500
+++ qtwebkit-opensource-src-5.3.1/Tools/qmake/config.tests/libxslt/libxslt.pro	2014-09-12 18:18:56.000000000 -0500
@@ -1,8 +1,10 @@
 CONFIG -= qt
 SOURCES = libxslt.cpp
 mac {
-    QMAKE_CXXFLAGS += -iwithsysroot /usr/include/libxslt -iwithsysroot /usr/include/libxml2
-    LIBS += -lxslt
+    #QMAKE_CXXFLAGS += -I@FINK_PREFIX@/include/libxslt -I@FINK_PREFIX@/include/libxml2
+    #LIBS += -lxslt
+    PKGCONFIG += libxslt
+    CONFIG += link_pkgconfig
 } else {
     PKGCONFIG += libxslt
     CONFIG += link_pkgconfig